# H323_RTP_UDP Class Reference

`#include <h323rtp.h>`

Inheritance diagram for H323_RTP_UDP:

[legend]
Collaboration diagram for H323_RTP_UDP:
[legend]

## Public Member Functions

Construction
| H323_RTP_UDP (const H323Connection &connection, RTP_UDP &rtp)
Operations
virtual PBoolean | OnSendingPDU (const H323_RTPChannel &channel, H245_H2250LogicalChannelParameters &param) const
virtual void | OnSendingAckPDU (const H323_RTPChannel &channel, H245_H2250LogicalChannelAckParameters &param) const
virtual PBoolean | OnReceivedPDU (H323_RTPChannel &channel, const H245_H2250LogicalChannelParameters &param, unsigned &errorCode)
virtual PBoolean | OnReceivedAckPDU (H323_RTPChannel &channel, const H245_H2250LogicalChannelAckParameters &param)
virtual void | OnSendRasInfo (H225_RTPSession &info)

## Protected Member Functions

virtual PBoolean | ExtractTransport (const H245_TransportAddress &pdu, PBoolean isDataPort, unsigned &errorCode)

## Protected Attributes

RTP_UDP & | rtp

## Detailed Description

This class is for the IETF Real Time Protocol interface on UDP/IP.

## Constructor & Destructor Documentation

H323_RTP_UDP::H323_RTP_UDP | ( | const H323Connection & | connection,
|  | RTP_UDP & | rtp |
| ) |  |  |

Create a new RTP session H323 info.

Parameters:

  connection | Owner of the RTP session
  rtp | RTP session

## Member Function Documentation

virtual PBoolean H323_RTP_UDP::ExtractTransport | ( | const H245_TransportAddress & | pdu,
|  | PBoolean | isDataPort,
|  | unsigned & | errorCode |
| ) |  |  | `[protected, virtual]`

virtual PBoolean H323_RTP_UDP::OnReceivedAckPDU | ( | H323_RTPChannel & | channel,
|  | const H245_H2250LogicalChannelAckParameters & | param |
| ) |  |  | `[virtual]`

This is called after a request to create a channel occurs from the local machine via the H245LogicalChannelDict::Open() function, and the request has been acknowledged by the remote endpoint.

The default behaviour sets the remote ports to send UDP packets to.

Parameters:

  channel | Channel using this session.
  param | Acknowledgement PDU

Implements H323_RTP_Session.

virtual PBoolean H323_RTP_UDP::OnReceivedPDU | ( | H323_RTPChannel & | channel,
|  | const H245_H2250LogicalChannelParameters & | param,
|  | unsigned & | errorCode |
| ) |  |  | `[virtual]`

This is called after a request to create a channel occurs from the local machine via the H245LogicalChannelDict::Open() function, and the request has been acknowledged by the remote endpoint.

The default behaviour sets the remote ports to send UDP packets to.

Parameters:

  channel | Channel using this session.
  param | Acknowledgement PDU
  errorCode | Error on failure

Implements H323_RTP_Session.

virtual void H323_RTP_UDP::OnSendingAckPDU | ( | const H323_RTPChannel & | channel,
|  | H245_H2250LogicalChannelAckParameters & | param |
| ) |  |  | const`[virtual]`

This is called when request to create a channel is received from a remote machine and is about to be acknowledged.

Parameters:

  channel | Channel using this session.
  param | Acknowledgement PDU

Implements H323_RTP_Session.

virtual PBoolean H323_RTP_UDP::OnSendingPDU | ( | const H323_RTPChannel & | channel,
|  | H245_H2250LogicalChannelParameters & | param |
| ) |  |  | const`[virtual]`

Fill out the OpenLogicalChannel PDU for the particular channel type.

Parameters:

  channel | Channel using this session.
  param | Open PDU to send.

Implements H323_RTP_Session.

virtual void H323_RTP_UDP::OnSendRasInfo | ( | H225_RTPSession & | info | ) | `[virtual]`

This is called when a gatekeeper wants to get status information from the endpoint.

The default behaviour calls the ancestor functon and then fills in the transport fields.

Parameters:

  info | RTP session info PDU

Implements H323_RTP_Session.

## Field Documentation

RTP_UDP& H323_RTP_UDP::rtp `[protected]`

The documentation for this class was generated from the following file:

- h323rtp.h